<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>resources</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h1 id="resources-ive-gathered">Resources I’ve Gathered</h1>
<p>Resources I’ve gathered</p>
<h2 id="note-the-wiki-is-a-more-easily-searchable-version-httpsgithub.comamyshacklesresourceswiki">Note: The wiki is a more easily searchable version: https://github.com/AmyShackles/Resources/wiki</h2>
<h2 id="notes-ive-taken-on-lambda-lectures-outside-lectures-books-im-reading">Notes I’ve Taken (on Lambda lectures, outside lectures, books I’m reading):</h2>
<p>Turned it into a website, so it can now be found at https://notes-for-great-good.netlify.com</p>
<h2 id="uncategorized-various-topics">Uncategorized (various topics):</h2>
<p>https://css-tricks.com/guides/</p>
<p>http://beej.us/blog/</p>
<p>https://www.joelonsoftware.com/</p>
<h2 id="accessibility">Accessibility:</h2>
<p>http://wave.webaim.org/ - Breaks down a website piece by piece visually and shows warnings/errors and explanations for them</p>
<p>https://www.w3.org/WAI/tutorials/ - Tutorials for building with accessibility in mind</p>
<p>https://www.w3.org/WAI/tips/developing/ - Tips for accessibility</p>
<p>https://www.w3.org/WAI/WCAG21/quickref/ - If you want to look up the specs for a specific type of element</p>
<p>https://www.udacity.com/course/web-accessibility–ud891 - Course on web accessibility</p>
<h2 id="algorithms">Algorithms:</h2>
<p>https://github.com/trekhleb/javascript-algorithms/blob/master/README.md - Javascript Algorithms and Data Structures</p>
<p>https://github.com/vohoaiviet/Free-Algorithm-Books - Free books on Algorithms</p>
<p>https://medium.com/quick-code/top-tutorials-learn-data-structure-and-algorithm-for-an-interview-preparation-96e1f7518e26 - Tutorials to learn data structures/algorithms</p>
<p>https://www.geeksforgeeks.org/fundamentals-of-algorithms/ - Geeks for Geeks’ Fundamentals of Algorithms</p>
<p>https://algs4.cs.princeton.edu/home/ - Website built around Algorithms, 4th Edition - has excerpts, code, and solutions</p>
<p>http://www.algorist.com/ - Website built around Algorithm Design Manual, 2nd Edition - has lecture notes, programs, the algorithm repository, solution wiki</p>
<p>https://www.algorithm-archive.org/</p>
<p>http://www.cs.princeton.edu/courses/archive/fall18/cos226/assignments.php - Assignments for COS226</p>
<h2 id="big-o-notation">Big O Notation:</h2>
<p>https://rob-bell.net/2009/06/a-beginners-guide-to-big-o-notation</p>
<h2 id="c">C:</h2>
<p>http://beej.us/blog/data/c-pointers/ - Pointers</p>
<p>https://beej.us/guide/bgc/html/multi/index.html - Beej’s Guide to C Programming</p>
<p>http://www.catb.org/esr/time-programming/ - Time, Clock, and Calendar programming in C</p>
<p>https://upsilon.cc/~zack/teaching/1415/progsyst/ - Had this saved, though now I don’t know why as it’s in French and I can’t read French ….</p>
<p>ftp://www.cs.uregina.ca/pub/class/330/Fork/fork.html - Intro to Processes, Forks &amp; Exec</p>
<p>https://www.gnu.org/software/gnu-c-manual/gnu-c-manual.html - Gnu C Reference Manual</p>
<p>http://buildyourownlisp.com/contents - Build a Lisp interpreter in C</p>
<p>http://www.learn-c.org/ - Interactive C tutorial</p>
<h2 id="career-advice">Career Advice:</h2>
<p>http://www.gayle.com/career-advice/ - from author of Cracking the Coding Interview</p>
<h2 id="code-challenges">Code Challenges:</h2>
<p>https://www.codewars.com/</p>
<p>https://app.codesignal.com/</p>
<p>https://projecteuler.net/</p>
<p>https://coderbyte.com/</p>
<p>https://leetcode.com/explore/</p>
<p>https://www.geeksforgeeks.org/</p>
<p>https://code.google.com/codejam/about</p>
<p>https://www.codechef.com/</p>
<p>https://careercup.com/page</p>
<p>https://uva.onlinejudge.org/index.php?option=com_onlinejudge&amp;Itemid=8</p>
<h2 id="color-generators">Color Generators:</h2>
<p>https://coolors.co/0e0004-e5d4ed-6d72c3-5941a9-adfcf9</p>
<p>https://www.canva.com/color-palette/</p>
<p>http://www.cssdrive.com/imagepalette/</p>
<h2 id="community">Community:</h2>
<p>https://devrant.com/ - because sometimes it’s nice to chat with other devs in a place that isn’t StackOverflow</p>
<h2 id="compatability">Compatability:</h2>
<p>https://caniuse.com/</p>
<h2 id="computer-science">Computer Science:</h2>
<p>https://teachyourselfcs.com/ - Super excited about this one!</p>
<p>http://blog.agupieware.com/2014/05/online-learning-bachelors-level.html - bit outdated, don’t know if all the links still work, but it was a pretty good resource back in the day</p>
<p>http://web.mit.edu/alexmv/6.037/sicp.pdf - Structure and Inpterpretation of Computer Programs</p>
<h2 id="css-animations">CSS Animations:</h2>
<p>http://animista.net/</p>
<h2 id="css-box-model">CSS Box Model:</h2>
<p>https://docs.google.com/document/d/1db_gVHonRIAjozSZ7NFsqghJ5B7gdGWgRF0c-3oIGdA/edit?usp=sharing</p>
<h2 id="css-grid">CSS Grid:</h2>
<p>https://cssgridgarden.com/ - game where you’ve got to water some plants</p>
<p>https://css-tricks.com/snippets/css/complete-guide-grid/</p>
<h2 id="data-structures">Data Structures:</h2>
<p>http://www.cs.yale.edu/homes/aspnes/classes/223/notes.html - Notes from CSPSC 223: Data Structures and Programming Techniques</p>
<p>https://medium.com/quick-code/top-tutorials-learn-data-structure-and-algorithm-for-an-interview-preparation-96e1f7518e26</p>
<p>https://www.byte-by-byte.com/studying-data-structures-and-algorithms/</p>
<h2 id="devops">DevOps</h2>
<p>https://devcenter.heroku.com/categories/working-with-django - Information about deploying to Heroku with a Django project</p>
<p>https://learn.chef.io/#/ - Lots of things to learn in here, including AWS, integrated compliance, infrastructure automation, Microsoft Azure, building apps with Habitat, etc.</p>
<h2 id="diagram-creator">Diagram Creator:</h2>
<p>http://www.umlet.com/umletino/umletino.html</p>
<h2 id="distributed-systems">Distributed Systems</h2>
<p>https://github.com/aphyr/distsys-class</p>
<h2 id="encoding">Encoding:</h2>
<p>http://kunststube.net/encoding/ - how encoding works</p>
<p>https://www.joelonsoftware.com/2003/10/08/the-absolute-minimum-every-software-developer-absolutely-positively-must-know-about-unicode-and-character-sets-no-excuses/ - more about encoding!</p>
<h2 id="flashcards">Flashcards:</h2>
<p>https://www.flashcardsfordevelopers.com/</p>
<h2 id="flexbox">Flexbox:</h2>
<p>https://mastery.games/p/flexbox-zombies - zombie game!</p>
<p>https://flexboxfroggy.com/ - game with frogs!</p>
<p>https://medium.freecodecamp.org/an-animated-guide-to-flexbox-d280cf6afc35 - an animated guide to flexbox</p>
<p>http://jonibologna.com/flexbox-cheatsheet/ - flexbox cheatsheet</p>
<h2 id="front-end-dev">Front-end Dev:</h2>
<p>https://btholt.github.io/intro-to-web-dev-v2/</p>
<h2 id="github">Github:</h2>
<p>https://guides.github.com/introduction/flow/</p>
<h2 id="graph-stuff">Graph Stuff:</h2>
<p>https://arxiv.org/pdf/1504.07828.pdf - weighted graph algorithms with Python</p>
<h2 id="image-compressor">Image Compressor:</h2>
<p>https://imagecompressor.com/</p>
<h2 id="internet">Internet:</h2>
<p>http://www.tldp.org/HOWTO/Unix-and-Internet-Fundamentals-HOWTO/index.html</p>
<h2 id="interview-prep">Interview Prep:</h2>
<p>https://github.com/Pau1fitz/react-interview - React-specific questions and answers</p>
<p>https://interviewing.io/recordings/ - watch technical mock interviews with engineers at top companies or practice yourself</p>
<p>https://www.pramp.com/#/ - practice coding interviews live</p>
<p>https://careercup.com/page - Interview questions</p>
<p>https://practice.geeksforgeeks.org/explore/?page=1&amp;sortBy=accuracy - Practice questions</p>
<h2 id="javascript-arrays">Javascript Arrays:</h2>
<p>https://gist.github.com/ourmaninamsterdam/1be9a5590c9cf4a0ab42#file-arrayzing-md - list of JS array methods</p>
<p>https://codepen.io/AmyShackles/pen/LmVqPx - Pen I created after finally understanding map/filter/reduce/forEach</p>
<h2 id="javascript-automatic-semicolon-insertion">Javascript Automatic Semicolon Insertion:</h2>
<p>https://stackoverflow.com/questions/2846283/what-are-the-rules-for-javascripts-automatic-semicolon-insertion-asi</p>
<h2 id="javascript-prototypesinheritence">Javascript Prototypes/Inheritence</h2>
<p>http://beej.us/blog/data/javascript-prototypes-inheritance/</p>
<h2 id="javascript-reviewtutorials">Javascript Review/Tutorials:</h2>
<p>https://developer.mozilla.org/en-US/docs/Web/JavaScript/A_re-introduction_to_JavaScript</p>
<p>https://www.geeksforgeeks.org/javascript-tutorial/</p>
<p>https://learn.freecodecamp.org/</p>
<p>https://www.w3resource.com/javascript-exercises/</p>
<h2 id="learning-platforms---courses">Learning Platforms - Courses!:</h2>
<p>https://www.coursera.org/learn/learning-how-to-learn - Recommended by Lambda staff</p>
<p>https://scrimba.com/ - Awesome interface where you can actually pause the video and interact with the instructor’s code</p>
<p>https://university.mongodb.com - Learn MongoDB from MongoDB</p>
<p>https://www.edx.org/course/subject/computer-science</p>
<p>http://www.infocobuild.com/education/audio-video-courses/computer-science/computer-science.html</p>
<h2 id="misconceptions">Misconceptions</h2>
<p>https://github.com/kdeldycke/awesome-falsehood - with great hits like “Falsehoods Programmers Believe About Names”, “Falsehoods Programmers Believe About Time”, and “Falsehoods Programmers Believe About Addresses”</p>
<h2 id="network-programming">Network Programming:</h2>
<p>https://beej.us/guide/bgnet/ - Beej’s Guide to Network Programming</p>
<h2 id="operating-systems">Operating Systems:</h2>
<p>http://pages.cs.wisc.edu/~remzi/OSTEP/ - Sean’s favorite book, I think</p>
<h2 id="performance">Performance:</h2>
<p>https://gtmetrix.com/ - Test to see if your application is running as smoothly as it could be</p>
<h2 id="programming-books">Programming Books:</h2>
<p>https://github.com/EbookFoundation/free-programming-books/blob/master/free-programming-books.md#c</p>
<p>https://goalkicker.com/ - Books compiled from StackOverflow documentation</p>
<p>https://www.syncfusion.com/ebooks</p>
<h2 id="programming-languages">Programming Languages:</h2>
<p>https://www.coursera.org/learn/programming-languages</p>
<h2 id="python">Python:</h2>
<p>https://docs.python-guide.org/ - Hitchhiker’s Guide to Python</p>
<p>https://docs.python.org/3/tutorial/index.html</p>
<p>https://devguide.python.org/</p>
<p>https://docs.python.org/3/library/index.html</p>
<p>https://www.quackit.com/python/tutorial/</p>
<p>https://gist.github.com/revolunet/537a3448cff850231a74</p>
<p>https://www.codzify.com/Python/python-introduction.php - Python tutorial</p>
<p>https://wiki.python.org/moin/BeginnersGuide/NonProgrammers</p>
<p>https://wiki.python.org/moin/BeginnersGuide/Programmers</p>
<p>https://www.obeythetestinggoat.com/book/praise.harry.html - Book on test driven development in Python</p>
<h2 id="python-cheat-sheets">Python Cheat Sheets:</h2>
<p>https://clouds.eos.ubc.ca/~phil/courses/eosc582/pdffiles/Python-data-manipulations.pdf</p>
<p>http://sixthresearcher.com/wp-content/uploads/2016/12/Python3_reference_cheat_sheet.pdf</p>
<p>http://www.cogsci.rpi.edu/~destem/igd/python_cheat_sheet.pdf</p>
<p>https://www.pythonsheets.com/notes/python-basic.html</p>
<p>https://perso.limsi.fr/pointal/_media/python:cours:mementopython3-english.pdf</p>
<p>https://sahandsaba.com/thirty-python-language-features-and-tricks-you-may-not-know.html - Technically, 30 language features</p>
<h2 id="react">React:</h2>
<p>https://ihatetomatoes.net/wp-content/uploads/2017/01/react-cheat-sheet.pdf</p>
<p>https://devhints.io/react</p>
<p>https://pbs.twimg.com/media/DZ-97vzW4AAbcZj.jpg:large</p>
<h2 id="regex">Regex:</h2>
<p>https://regexr.com/</p>
<p>https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Regular_Expressions#special-asterisk</p>
<p>https://regexper.com/ - to help visualize</p>
<p>https://www.debuggex.com/</p>
<p>http://www.ntu.edu.sg/home/ehchua/programming/howto/regexe.html - Explanations of different parts of regex with real-world examples</p>
<p>https://regexcrossword.com/ - Regex gamified!</p>
<p>https://learn.freecodecamp.org/javascript-algorithms-and-data-structures/regular-expressions/</p>
<h2 id="scheduling">Scheduling:</h2>
<p>https://tampub.uta.fi/bitstream/handle/10024/96864/GRADU-1428493916.pdf - A complete guide to Linux process scheduling</p>
<h2 id="security">Security:</h2>
<p>https://xss-game.appspot.com/level1 - cross site scripting game</p>
<p>https://observatory.mozilla.org/ - Security testing to see if your security headers are set to what they should be ;)</p>
<h2 id="service-workers">Service Workers:</h2>
<p>https://developer.mozilla.org/en-US/docs/Web/API/Service_Worker_API</p>
<p>https://developers.google.com/web/fundamentals/primers/service-workers/</p>
<p>https://developers.google.com/web/tools/workbox/</p>
<p>https://serviceworkies.com/ - From the maker of Flexbox Zombies!</p>
<h2 id="side-project-ideas">Side Project Ideas:</h2>
<p>https://www.codementor.io/npostolovski/40-side-project-ideas-for-software-engineers-g8xckyxef</p>
<h2 id="nix-commands">*nix Commands</h2>
<p>https://code.tutsplus.com/articles/useful-nix-shell-commands-for-web-developers–cms-26161</p>
<h2 id="validity-checking">Validity Checking:</h2>
<p>https://validator.w3.org/ - markup validation</p>
<p>https://jigsaw.w3.org/css-validator/ - css validation</p>
</body>
</html>
